{% extends 'dashboard/_layout/layout_dashboard_v2.html.twig' %}

{% form_theme closingCostForm _self %}

{% block _closing_cost_inputValue_row %}
    <div class="form-group">
        {% if form.vars.cache_key == '_closing_cost_inputValue_collection' %}
            <button type="button" class="add_item_link btn btn-sm btn-info"
                    data-collection-holder-class="items">Add item
            </button>

            <ul class="items" data-prototype="{{ form_widget(form.vars.prototype)|e('html_attr') }}">
                {{- form_label(form) -}}
                {{- form_widget(form) -}}
            </ul>
        {% else %}
            {{- form_label(form) -}}
            {{- form_errors(form) -}}
            {{- form_widget(form) -}}
            {{- form_help(form) -}}
        {% endif %}
    </div>
{% endblock %}

{% block title %}Dashboard TEST {{ parent() }}{% endblock %}

{% block facebook_pixel_events %}
    {% if app.environment == 'prod' %}
        {% if from is defined %}
            {% if from == 'try' %}
                <script>
                    fbq('track', 'StartTrial');
                </script>
            {% endif %}

            {% if from == 'buy' %}
                <script>
                    fbq('track', 'Subscribe');
                </script>
            {% endif %}
        {% endif %}
    {% endif %}
{% endblock %}

{% block content %}
    <div class="container">
        <div class="row pt-4">
            <div class="col-lg-8">
                <div class="card border-radius-10">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-8 align-self-end">
                                <div class="timer-data">
                                    <div class="icon-info mb-4">
                                        <i class="dripicons-user bg-soft-dark"></i>
                                    </div>
                                    <h4 class="mt-0 text-dark font-weight-bold mb-0">{{ app.user.firstName }} {{ app.user.lastName }}</h4>
                                    <p class="text-muted font-weight-light mb-0 font-14">Reavant House
                                        Services</p>
                                </div>
                            </div><!--end col-->
                            <div class="col-4 align-self-end text-right">
                                <button class="btn btn-soft-primary py-1 col-8" data-toggle="modal"
                                        data-target="#createContactModal">Create Property
                                </button>
                            </div><!--end col-->
                        </div><!--end row-->
                    </div><!--end card-body-->
                </div><!--end card-->
            </div>

            <div class="col-lg-8 py-0 my-0">
                {% embed 'dashboard/_component/flash_v2.html.twig' %}{% endembed %}
            </div>

            <div class="col-lg-8">
                <div class="card border-radius-10">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12">
                                <div class="timer-data border-bottom-dashed">
                                    <h5 class="mt-0 text-dark font-weight-bold mb-4">Closing Cost Form</h5>
                                </div>
                            </div>
                            <div class="col-12 my-3">
                                <div class="row px-3">

                                    {{ form_start(closingCostForm) }}
                                    {{ form_rest(closingCostForm) }}
                                    <button type="submit" class="btn btn-primary">Save</button>
                                    {{ form_end(closingCostForm) }}

                                </div><!--end row-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div><!--end row-->
    </div><!-- container -->
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script>
        function addFormToCollection($collectionHolderClass) {
            var $collectionHolder = $('.' + $collectionHolderClass);
            var prototype = $collectionHolder.data('prototype');
            var index = $collectionHolder.data('index');

            if (index == null)
                index = 1;

            var newForm = prototype;

            newForm = newForm.replace(/__name__/g, index);
            $collectionHolder.data('index', index + 1);

            var $newFormLi = $('<li></li>').append(newForm);

            $collectionHolder.append($newFormLi);

            var script = document.createElement("script");

            // TODO: find a way to fix append inline js

            var formType = 'closing_cost_inputValue_' + index;
            var closingCostItemType = 'closing_cost_inputValue_' + index + '_type';
            var closingCostItemValue = 'closing_cost_inputValue_' + index + '_amount';

            var scriptCode = `{% include 'dashboard/add_form_collection.html.twig' with {'formType': 'FORM_TYPE_VAR', 'closingCostItemType': 'CLOSING_COST_ITEM_TYPE_VAR', 'closingCostItemValue': 'CLOSING_COST_ITEM_VALUE_VAR'} %}`;

            scriptCode = scriptCode.replaceAll('FORM_TYPE_VAR', formType);
            scriptCode = scriptCode.replaceAll('CLOSING_COST_ITEM_TYPE_VAR', closingCostItemType);
            scriptCode = scriptCode.replaceAll('CLOSING_COST_ITEM_VALUE_VAR', closingCostItemValue);

            script.append(scriptCode);
            $collectionHolder.append(script);
        }

        $(document).ready(function () {
            var $tagsCollectionHolder = $('ul.items');

            $tagsCollectionHolder.data('index', $tagsCollectionHolder.find('input').length);

            $('body').on('click', '.add_item_link', function (e) {
                var $collectionHolderClass = $(e.currentTarget).data('collectionHolderClass');
                addFormToCollection($collectionHolderClass);
            })
        });
    </script>
{% endblock %}